"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/es6.object.assign");

var _lodash = _interopRequireDefault(require("lodash.pick"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default(_ref) {
  var provider = _ref.provider,
      api = _ref.api,
      store = _ref.store;
  var providerAPI = Object.assign({}, api, {
    setOptions: function setOptions(options) {
      var _store$getState = store.getState(),
          layout = _store$getState.layout,
          ui = _store$getState.ui,
          selectedPanel = _store$getState.selectedPanel;

      if (options) {
        store.setState({
          layout: Object.assign({}, layout, (0, _lodash.default)(options, Object.keys(layout))),
          ui: Object.assign({}, ui, (0, _lodash.default)(options, Object.keys(ui))),
          selectedPanel: options.panel || options.selectedPanel || selectedPanel
        });
      }
    }
  });
  provider.handleAPI(providerAPI);
  return providerAPI;
};

exports.default = _default;